Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Class PlatformServletContext

    java.lang.Object
      org.eclipse.birt.core.framework.PlatformServletContext

All Implemented Interfaces:
  IPlatformContext

    public class PlatformServletContext

extends java.lang.Object
implements IPlatformContext

An platform context that is based on resource operations instead of file operations. Since in web environment WAR deployment, absolute file path is not available, user must use resource operations instead of file operations. In this case, user should use this PlatformContext or develop his own PlatformContext to make sure no file operations are used.

Field Summary
`protected static java.util.logging.Logger` | `log`
`protected PlatformConfig` | `platformConfig`

Constructor Summary
`PlatformServletContext(ServletContext context)`
`PlatformServletContext(ServletContext context, java.lang.String urlLeadingString)` Deprecated. since 2.1

Method Summary
`java.lang.String` | `getPlatform()` return the folder of the platform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static java.util.logging.Logger log

### platformConfig

    protected PlatformConfig platformConfig

Constructor Detail

### PlatformServletContext

    public PlatformServletContext(ServletContext context,
                                  java.lang.String urlLeadingString)

  Deprecated. since 2.1

  Parameters:
    `context` -
    `urlLeadingString` -

### PlatformServletContext

    public PlatformServletContext(ServletContext context)

Method Detail

### getPlatform

    public java.lang.String getPlatform()

  Description copied from interface: `IPlatformContext`
  return the folder of the platform.

  Specified by:
    `getPlatform` in interface `IPlatformContext`
  Returns:
    the folder represent the root of the platform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.